# 3DGeoVolumesAPI

### Live Demo: https://steinbeis-3dps.eu/3DGeoVolumes/
![Steinbeis GeoVolumes API](./img/ResourceArchitecture2.jpg)

## Installation

Use the package manager [npm](https://npmjs.com/) to install 3D GeoVolumes API.

```bash
npm install
```

## Usage
### Starting server
1. Run `node server.js` (or any node manager - pm2/ nodemon) at your project folder.
2. Access to the GeoVolumes Landing Page at http://localhost:port. 
   * **Landing Page**:  `http://localhost:port`
   * **Collections**: `http://localhost:port/collections`
   * **Collections with bbox filter**: `http://localhost:port/collections?bbox=minx,miny,maxx,maxy`

### Adding Collection
* Add contents to `3DGeoVolumes\collections\collections.json` 
* Add contents to `3DGeoVolumes\collections\:collectionId\collectionId.json` (The automated script could be added here in future.)

### Configuration
* Port can be adjusted in the `server.js` file. 

## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update tests as appropriate.

## Team
- [Prof. Dr. Volker Coors](https://www.hft-stuttgart.de/p/volker-coors)
- [Joe Thunyathep Santhanavanich](https://www.hft-stuttgart.de/p/thunyathep-santhanavanich)

## Link
| Document                                                         | URL                                 |
|------------------------------------------------------------------|-------------------------------------|
| 3D Data Container and Tiles API Pilot Summary Engineering Report | http://docs.ogc.org/per/20-031.html |
| Interoperable Simulation and Gaming Sprint Engineering Report    | http://docs.ogc.org/per/20-087.html |
| Steinbeis Demo                                                   | https://steinbeis-3dps.eu |